SUMMARY = "Google's protobuffer doc generator"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

SRC_URI = "https://github.com/pseudomuto/protoc-gen-doc/releases/download/v${PV}/protoc-gen-doc-${PV}.linux-amd64.go1.12.6.tar.gz"

SRC_URI[md5sum] = "28d6117df511e0b1a1f2a9ca4c63433a"
SRC_URI[sha256sum] = "73adb873825c3926403125a33134ca4a3d99d69fc9f23120142e0dcb543322c9"

FILES_${PN} = " \
    ${bindir}/protoc-gen-doc \
"

do_install () {
    install -d ${D}${bindir}
    install -m 0755 ${WORKDIR}/protoc-gen-doc-${PV}.linux-amd64.go1.12.6/protoc-gen-doc ${D}${bindir}
}

INSANE_SKIP_${PN} += " \
    already-stripped \
"

